package com.lightinit.hsdataportal.model;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author: sunxiang
 * @Date: 2018/6/11 10:41
 * @Description: 无条件开放数据：价格条目类
 **/
public class DataApplyPriceModel {
    private Long id;
    private Long publishInfoId;
    private String packageName;
    private BigDecimal packagePrice;
    private String chargeMethod;        //计费方式：免费/收费
    private Long packageMonths;
    private Long buyTimesLimit;
    private Long useTimesLimit;
    private Date effectiveDate;
    private Date expiriedDate;
    private String openType;
    private String shareType;
    private String platformType;
    private String resourceName;

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public String getPlatformType() {
        return platformType;
    }

    public void setPlatformType(String platformType) {
        this.platformType = platformType;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getPublishInfoId() {
        return publishInfoId;
    }

    public void setPublishInfoId(Long publishInfoId) {
        this.publishInfoId = publishInfoId;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public BigDecimal getPackagePrice() {
        return packagePrice;
    }

    public void setPackagePrice(BigDecimal packagePrice) {
        this.packagePrice = packagePrice;
    }

    public Long getPackageMonths() {
        return packageMonths;
    }

    public void setPackageMonths(Long packageMonths) {
        this.packageMonths = packageMonths;
    }

    public Long getBuyTimesLimit() {
        return buyTimesLimit;
    }

    public void setBuyTimesLimit(Long buyTimesLimit) {
        this.buyTimesLimit = buyTimesLimit;
    }

    public Long getUseTimesLimit() {
        return useTimesLimit;
    }

    public void setUseTimesLimit(Long useTimesLimit) {
        this.useTimesLimit = useTimesLimit;
    }

    public Date getEffectiveDate() {
        return effectiveDate;
    }

    public void setEffectiveDate(Date effectiveDate) {
        this.effectiveDate = effectiveDate;
    }

    public Date getExpiriedDate() {
        return expiriedDate;
    }

    public void setExpiriedDate(Date expiriedDate) {
        this.expiriedDate = expiriedDate;
    }

    public String getOpenType() {
        return openType;
    }

    public void setOpenType(String openType) {
        this.openType = openType;
    }

    public String getShareType() {
        return shareType;
    }

    public void setShareType(String shareType) {
        this.shareType = shareType;
    }

    public String getChargeMethod() {
        return chargeMethod;
    }

    public void setChargeMethod(String chargeMethod) {
        this.chargeMethod = chargeMethod;
    }
}
